---
title: "Set Default Channel"
slug: "set-default-channel"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Default Channel

Post/api/v1/channels.setDefault

Set whether the channel is a default channel or not. All new users will automatically join this channel. Permission required: `edit-room`

### Changelog

| Version | Description |
| --- | --- |
| 0.66.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='1db08242-ac4a-487e-b8df-47dfa9183364'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='e119b5a2-6e71-4bfb-87f9-7e0ceeb2aa4b'>Example</option>
</select>Example

```json
{
  "roomId": "ByehQjC44FwMeiLbX",
  "default": true
}
```

object  roomIdstring    Required

The channel ID.

defaultboolean    Required

Boolean of whether the room is default or not.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='39781c6e-1fdc-4643-bae6-8464620a6eb3'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='322804a4-572e-4aba-86f0-75bdeff289bf'>Example</option>
</select>Example

```json
{
  "channel": {
    "_id": "ByehQjC44FwMeiLbX",
    "name": "testing0",
    "t": "c",
    "msgs": 0,
    "u": {
      "_id": "aiPqNoGkjpNDiRx6d",
      "username": "goose160"
    },
    "ts": "2017-01-05T18:02:50.754Z",
    "ro": true,
    "sysMes": true,
    "_updatedAt": "2017-01-05T19:02:24.429Z",
    "usernames": [
      "goose160",
      "graywolf336"
    ],
    "joinCodeRequired": true,
    "muted": [],
    "default": true
  },
  "success": true
}
```

Expand Allobject  channelobject  _idstring    
namestring    
tstring    
msgsinteger    
uobject  _idstring    
usernamestring    

tsstring    
roboolean    
sysMesboolean    
_updatedAtstring    
usernames Array of string   string    
joinCodeRequiredboolean    
muted Array of object   object  
defaultboolean    

successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='10ea7eac-17cb-49ae-a1c7-2954acf8b18a'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='6d0caded-71f1-4b9d-81fa-2b3921a4c0d9'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
